Bug 12761 - 'sort -n' incorrect with stock textutils
'sort -n' incorrect with stock textutils
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: textutils (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-06-20 11:58 EDT by ian
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-20 11:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ian 2000-06-20 11:58:48 EDT
The textutils-2.0a in RedHat 6.2 contains a sort which returns
incorrect results for 'sort -n'.  This is independent of locale settings or
use of the '-l' switch (as mentioned in other threads on this in Bugzilla).

Hunting through bugzilla, I decided to try the Rawhide textutils (2.0e-3).
It works correctly, but as textutils is a critical package, there really
needs to be an errata and update for this in RedHat.

I'm not sure how many of these tools require 'sort' per se, but...
[ian@danube coll]$ rpm -q --whatrequires textutils
rpm-3.0.4-0.48
apache-1.3.12-2
dev-2.7.18-3
linuxconf-1.17r2-6
mkxauth-1.7-12
mount-2.10f-1
mouseconfig-4.4-1
switchdesk-2.1-1
Comment 1 Bernhard Rosenkraenzer 2000-06-23 07:32:23 EDT
This is fixed in the current version. We'll release an errata package for 6.2,
as well.

Note You need to log in before you can comment on or make changes to this bug.